<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode STC</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="SMSW.htm"> SMSW Store Machine Status Word</A><BR><B>next:</B><A HREF="STD.htm"> STD Set Direction Flag</A><P><HR><P><H1>STC -- Set Carry Flag</H1><PRE>
Opcode      Instruction     Clocks      Description

F9          STC             2           Set carry flag
</PRE><H2>Operation</H2><PRE>
CF := 1;
</PRE><H2>Description</H2>STC sets the carry flag to 1.<H2>Flags Affected</H2>CF := 1<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="SMSW.htm"> SMSW Store Machine Status Word</A><BR><B>next:</B><A HREF="STD.htm"> STD Set Direction Flag</A> </BODY>